Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST webhooks

Ostatnia modyfikacja 2026-05-18 13:56:05
Dodaje element webhook.

URL

https://your-system-name.thulium.com/api/webhooks

Parametry

actions

wymagany

Akcje (zobacz więcej)
subscription_url

wymagany

Docelowy adres URL
http_auth_user

opcjonalny

Login Auth Basic
http_auth_password

opcjonalny

Hasło Auth Basic

Przykładowy request

POST https://your-system-name.thulium.com/api/webhooks
Dane {"actions":["CHAT_CONVERSATION_CREATED"],"subscription_url":"https:\/\/example.pl"}

Przykładowy response

{
        "id": 5,
        "actions": ["CHAT_CONVERSATION_CREATED"],
        "subscription_url": "https://example.pl",
        "http_auth_user": "",
        "http_auth_password": ""
}

Przykładowe wywołanie


PHP
<?php
$data = '{"actions":["CHAT_CONVERSATION_CREATED"],"subscription_url":"https:\/\/example.pl"}';

$request = curl_init('https://your-system-name.thulium.com/api/webhooks');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/webhooks", "{\"actions\":[\"CHAT_CONVERSATION_CREATED\"],\"subscription_url\":\"https:\/\/example.pl\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"actions":["CHAT_CONVERSATION_CREATED"],"subscription_url":"https:\/\/example.pl"}' "https://your-system-name.thulium.com/api/webhooks"

HTTPie
echo '{"actions":["CHAT_CONVERSATION_CREATED"],"subscription_url":"https:\/\/example.pl"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/webhooks